Name:		cscope
Version:	15.9
Release:	%mkrel 4
Summary:	C source file browser
License:	BSD
Group:		Development/Other
URL:		https://cscope.sourceforge.net/
Source:		https://sourceforge.net/projects/cscope/files/cscope/v%{version}/%{name}-%{version}.tar.gz
Patch0:		cscope_prog_info.patch
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	bison
BuildRequires:	flex

%description
cscope is an interactive, screen-oriented tool that allows the user to browse
through C source files for specified elements of code.

%prep
%setup -q
%autopatch -p0

%build
%configure
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/emacs/site-lisp
install contrib/xcscope/xcscope.el %{buildroot}%{_datadir}/emacs/site-lisp/

%files
%doc TODO COPYING ChangeLog AUTHORS README NEWS
%{_bindir}/cscope
%{_bindir}/ocs
%{_mandir}/man1/cscope.1*
%{_datadir}/emacs/site-lisp/xcscope.el


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 15.9-4.mga10
+ Revision: 2196205
- Mageia 10 Mass Rebuild

* Thu Mar 17 2022 umeabot <umeabot> 15.9-3.mga9
+ Revision: 1797337
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 15.9-2.mga8
+ Revision: 1521720
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sat Dec 29 2018 shlomif <shlomif> 15.9-1.mga7
+ Revision: 1346545
- New version 15.9

* Sun Sep 23 2018 umeabot <umeabot> 15.8b-3.mga7
+ Revision: 1297338
- Mageia 7 Mass Rebuild

* Thu Feb 11 2016 umeabot <umeabot> 15.8b-2.mga6
+ Revision: 953645
- Mageia 6 Mass Rebuild

* Sat Aug 08 2015 daviddavid <daviddavid> 15.8b-1.mga6
+ Revision: 861631
- new version: 15.8b
- update Source URL
- switch BuildRequires to pkgconfig()
- update doc file list

* Wed Oct 15 2014 umeabot <umeabot> 15.8a-5.mga5
+ Revision: 749634
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 15.8a-4.mga5
+ Revision: 678600
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 15.8a-3.mga4
+ Revision: 503579
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 15.8a-2.mga3
+ Revision: 348340
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 08 2012 fwang <fwang> 15.8a-1.mga3
+ Revision: 316292
- new version 15.8a

* Fri Sep 09 2011 trem <trem> 15.7a-3.mga2
+ Revision: 141920
- add xcscope.el from contrib

* Sat Apr 30 2011 tmb <tmb> 15.7a-2.mga1
+ Revision: 93804
- drop buildroot
- clean spec
- imported package cscope


* Wed Apr 27 2011 Herbert Poetzl <herbert@13thfloor.at> 15.7a-2
- Initial Mageia RPM release

* Wed May 06 2009 Funda Wang <fwang@mandriva.org> 15.7a-1mdv2010.0
+ Revision: 372616
- New version 15.7a

* Thu Mar 19 2009 Funda Wang <fwang@mandriva.org> 15.7-1mdv2009.1
+ Revision: 357627
- BR flex
- BR bison
- New version 15.7

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 15.6-3mdv2009.0
+ Revision: 243798
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 15.6-1mdv2008.1
+ Revision: 136347
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Dec 12 2006 Nicholas Brown <nickbrown@mandriva.org> 15.6-1mdv2007.0
+ Revision: 96024
- Add buildrequires
- New Release
- Import cscope

* Thu Jun 22 2006 Nick Brown <nickbrown@mandriva.org> 15.5-4mdv2007.0
- use %%mkrel

* Wed Feb 02 2005 Nick Brown <nickbrown@mandrake.org> 15.5-3mdk
- show progress in verbose mode. Fixes kscope.

* Tue Dec 07 2004 Lenny Cartier <lenny@mandrakesoft.com> 15.5-2mdk
- rebuild

